Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor
Interface CharacterStream

All Known Implementing Classes:
  CharacterStreamImpl

    public interface CharacterStream

Wraps a character stream (reader) to also provide the length (number of characters) which is needed when binding.

Method Summary
`int` | `getLength()` Retrieve the number of characters.
`Reader` | `getReader()` Retrieve the reader.

Method Detail

### getReader

    Reader getReader()

  Retrieve the reader.

  Returns:
    The reader.

### getLength

    int getLength()

  Retrieve the number of characters. JDBC 3 and earlier defined the length in terms of int type rather than long type :(

  Returns:
    The number of characters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.